Bug 830340 - Make the CLEANALLRUV task one step
Summary: Make the CLEANALLRUV task one step
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: 389-ds-base
Version: 6.4
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: rc
: ---
Assignee: Rich Megginson
QA Contact: Sankar Ramalingam
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-06-08 21:25 UTC by Nathan Kinder
Modified: 2013-02-21 08:17 UTC (History)
2 users (show)

Fixed In Version: 389-ds-base-1.2.11.12-1.el6
Doc Type: Enhancement
Doc Text:
Feature: CLeanallruv Reason: there were two steps previosuly required. A clean, and release task. Result (if any): Incorporated the release task into the cleantask, so end-user only has one step.
Clone Of:
Environment:
Last Closed: 2013-02-21 08:17:36 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0503 normal SHIPPED_LIVE Moderate: 389-ds-base security, bug fix, and enhancement update 2013-02-21 08:18:44 UTC

Description Nathan Kinder 2012-06-08 21:25:58 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/389/ticket/368

Currently there are two steps to cleaning an entire replication environment:

[1]  Run CLEANALLRUV
[2]  Wait for it to update all replicas - could take awhile
[3]  Run RELEASERUV

Should add a new thread to the CLEANALLRUV code, which does the nsds50ruv searches, and once the replicas are cleaned, then it should do the RELEASERUV process automatically.  

We should also log the process in the error log, like ldif2db does.

Comment 1 RHEL Product and Program Management 2012-07-10 07:10:48 UTC
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.

Comment 2 RHEL Product and Program Management 2012-07-10 23:00:32 UTC
This request was erroneously removed from consideration in Red Hat Enterprise Linux 6.4, which is currently under development.  This request will be evaluated for inclusion in Red Hat Enterprise Linux 6.4.

Comment 4 Sankar Ramalingam 2012-11-19 10:37:21 UTC
Cleanallruv feature is implemented in RHEL64. Hence marking the bug as verified.

Comment 6 errata-xmlrpc 2013-02-21 08:17:36 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0503.html


Note You need to log in before you can comment on or make changes to this bug.